#!/bin/sh
#
# obtains a screen print, seems xwd work best
#         needs ImageMagick -- http://www.imagemagick.org/
#

#------------------------------------------------------------------------------
# f_doxwd() -- use xwd and image imagemagick
#------------------------------------------------------------------------------
f_doxwd()
{
    if [ -d $HOME/Pictures ]; then
	fn=$HOME/Pictures/screen-$(date "+%Y%m%d-%H%M%S")
    else
	fn=$HOME/screen$(date "+%Y%m%d-%H%M%S")
    fi
    ofile=$fn.xwd
    pfile=$fn.png

    type xwd > /dev/null 2>&1
    if [ "$?" -eq "0" ]; then
	type convert > /dev/null 2>&1
	if [ "$?" -eq "0" ]; then
	    xwd -frame | convert xwd:- png:${pfile}
	    $g_fnotify "I02: Created $pfile" &
	else
	    xwd -frame -out $ofile
	    $g_fnotify "I02: Created $ofile" &
	fi
    else
	$g_fnotify "E01: xwd missing, cannot print screen" &
    fi

} # END: f_doxwd()

###############################################################################
# main()
###############################################################################
rmode="$1"

type notify-send > /dev/null 2>&1
if [ "$?" -eq "0" ]; then
    g_fnotify=notify-send
    g_fnotify_done=notify-send
else
    g_fnotify="xmessage -timeout 5"
    g_fnotify_done="xmessage -timeout 2"
fi

case "$rmode" in
    "ksnapshot")
	type ksnapshot > /dev/null 2>&1
	if test "$?" -eq "0"
	then
	    ksnapshot &
	else
	    f_doxwd
	fi
	;;
    *)
	f_doxwd
	;;
esac

exit 0

